# WOK
TKWOK
WOKMake

# WOKMake_BuildProcessIterator Class Reference

`#include <WOKMake_BuildProcessIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_BuildProcessIterator (const Handle(WOKMake_BuildProcess)&aprocess, const Standard_Boolean alogflag)
Standard_EXPORT const Handle_WOKMake_BuildProcessGroup & | CurGroup () const
Standard_EXPORT const Handle_WOKMake_Step & | CurStep () const
Standard_EXPORT WOKMake_Status | MakeStep ()
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT WOKMake_Status | Terminate ()

## Private Member Functions

Standard_EXPORT void | ReorderCurrentGroup ()

## Private Attributes

Handle_WOKMake_BuildProcess | myprocess
WOKMake_Status | mystatus
Standard_Integer | mygrpidx
Standard_Integer | mystepidx
WOKTools_MapOfHAsciiString | myprocessed
Standard_Boolean | mylogflag

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_BuildProcessIterator::WOKMake_BuildProcessIterator | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Standard_Boolean | alogflag
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_WOKMake_BuildProcessGroup& WOKMake_BuildProcessIterator::CurGroup | ( |  | ) | const

Standard_EXPORT const Handle_WOKMake_Step& WOKMake_BuildProcessIterator::CurStep | ( |  | ) | const

Standard_EXPORT WOKMake_Status WOKMake_BuildProcessIterator::MakeStep | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKMake_BuildProcessIterator::More | ( |  | ) | const

Standard_EXPORT void WOKMake_BuildProcessIterator::Next | ( |  | ) |

void WOKMake_BuildProcessIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKMake_BuildProcessIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKMake_BuildProcessIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKMake_BuildProcessIterator::ReorderCurrentGroup | ( |  | ) | `[private]`

Standard_EXPORT WOKMake_Status WOKMake_BuildProcessIterator::Terminate | ( |  | ) |

## Field Documentation

Standard_Integer WOKMake_BuildProcessIterator::mygrpidx `[private]`

Standard_Boolean WOKMake_BuildProcessIterator::mylogflag `[private]`

Handle_WOKMake_BuildProcess WOKMake_BuildProcessIterator::myprocess `[private]`

WOKTools_MapOfHAsciiString WOKMake_BuildProcessIterator::myprocessed `[private]`

WOKMake_Status WOKMake_BuildProcessIterator::mystatus `[private]`

Standard_Integer WOKMake_BuildProcessIterator::mystepidx `[private]`

The documentation for this class was generated from the following file:

- WOKMake_BuildProcessIterator.hxx